Loading...
Searching...
No Matches
L4::Ipc::Ret_array< T > Struct Template Reference

Dynamically sized output array of type T. More...

`#include <ipc_ret_array>`

Inheritance diagram for L4::Ipc::Ret_array< T >:
Collaboration diagram for L4::Ipc::Ret_array< T >:

## Detailed Description

template<typename T>
struct L4::Ipc::Ret_array< T >

Dynamically sized output array of type T.

Template Parameters

  T | The data-type of each array element.

Ret_array<> is a special dynamically sized output array where the number of transmitted elements is passed in the return value of the call (if positive)

Definition at line 23 of file ipc_ret_array.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_ret_array